Package edu.msu.cme.rdp.multicompare.visitors

# Class DefaultPrintVisitor

java.lang.Object
edu.msu.cme.rdp.multicompare.visitors.DefaultPrintVisitor

All Implemented Interfaces:
  `edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>`

public class DefaultPrintVisitor extends Object implements edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>

## Constructor Summary

Constructors
Constructor
Description
`DefaultPrintVisitor(PrintStream out, List<MCSample> samples)`
`DefaultPrintVisitor(PrintStream out, List<MCSample> samples, boolean printCNcorrected)`
`DefaultPrintVisitor(PrintStream out, List<MCSample> samples, boolean printCNcorrected, boolean ommitEmpty)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isDoubleInt(double d)`
`boolean`
`visitNode(edu.msu.cme.rdp.taxatree.VisitInfo<MCTaxon> info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultPrintVisitor

public DefaultPrintVisitor(PrintStream out, List<MCSample> samples)

### DefaultPrintVisitor

public DefaultPrintVisitor(PrintStream out, List<MCSample> samples, boolean printCNcorrected)

### DefaultPrintVisitor

public DefaultPrintVisitor(PrintStream out, List<MCSample> samples, boolean printCNcorrected, boolean ommitEmpty)

## Method Details

### visitNode

public boolean visitNode(edu.msu.cme.rdp.taxatree.VisitInfo<MCTaxon> info)

Specified by:
  `visitNode` in interface `edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>`

### isDoubleInt

public boolean isDoubleInt(double d)